Page MenuHomePhabricator

Release MW 1.33
Closed, ResolvedPublic0 Estimate Story Points

Description

NOTE: This is a task for the mechanics of doing the release. Please do not add tasks that you believe should block the release to this task. Instead, please add them to the MW-1.33-release project. By definition, tasks in that project are blockers to the release.

Details

Related Gerrit Patches:
mediawiki/core : REL1_33Prepare 1.33.0

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2019, 8:14 PM
Reedy added a subscriber: Reedy.Jun 7 2019, 8:11 PM

I note MW-1.33-release has a lot of tasks on it...

I think we're to the point we might not want to be bundling more extensions (as rc.0 is out). We should therefore bump it to MW-1.34-release

I note MW-1.33-release has a lot of tasks on it...
I think we're to the point we might not want to be bundling more extensions (as rc.0 is out). We should therefore bump it to MW-1.34-release

Agreed. Though eternally kicking those tasks down the road isn't ideal either.

Reedy added a comment.Jul 1 2019, 11:33 PM

We should probably get this finished off...

https://github.com/wikimedia/mediawiki/compare/1.33.0-rc.0...REL1_33

I don't necessarily see anything there that particularly necessitates another RC. The bigger issues fixed have been around longer than just 1.33

Yeah, let's just ship.

Change 520144 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@REL1_33] Prepare 1.33.0

https://gerrit.wikimedia.org/r/520144

RazeSoldier added a subscriber: RazeSoldier.EditedJul 2 2019, 5:41 AM

There is a small problem with the release note. I already push a patch. https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/520169/

Change 520144 merged by jenkins-bot:
[mediawiki/core@REL1_33] Prepare 1.33.0

https://gerrit.wikimedia.org/r/520144

Reedy claimed this task.Jul 2 2019, 2:00 PM
Reedy closed this task as Resolved.Jul 2 2019, 2:37 PM